public static interface JcloudsEndpointBuilderFactory.JcloudsBuilders
| Modifier and Type | Method and Description |
|---|---|
default JcloudsEndpointBuilderFactory.JcloudsEndpointBuilder |
jclouds(String path)
JClouds (camel-jclouds)
Interact with jclouds compute and blobstore service.
|
default JcloudsEndpointBuilderFactory.JcloudsEndpointBuilder |
jclouds(String componentName,
String path)
JClouds (camel-jclouds)
Interact with jclouds compute and blobstore service.
|
default JcloudsEndpointBuilderFactory.JcloudsEndpointBuilder jclouds(String path)
jclouds:command:providerId
Path parameter: command (required)
What command to execute such as blobstore or compute.
There are 2 enums and the value can be one of: blobstore, compute
Path parameter: providerId (required)
The name of the cloud provider that provides the target service (e.g.
aws-s3 or aws_ec2).path - command:providerIddefault JcloudsEndpointBuilderFactory.JcloudsEndpointBuilder jclouds(String componentName, String path)
jclouds:command:providerId
Path parameter: command (required)
What command to execute such as blobstore or compute.
There are 2 enums and the value can be one of: blobstore, compute
Path parameter: providerId (required)
The name of the cloud provider that provides the target service (e.g.
aws-s3 or aws_ec2).componentName - to use a custom component name for the endpoint
instead of the default namepath - command:providerIdApache Camel